#!/bin/sh

# Creating a network namespace
ip netns add oops
# Add a network interface to the batman mesh
batctl if add eth0
# Now a bat0 interface is availabe
# Let move that interface to our namespace
ip link set dev bat0 netns oops

# At this point there is no batman interface visible in the default
# network namespace. The batman interface in the namespace have
# no attached devices but is able to see other mesh nodes availabe
# through eth0
#
# ip netctl exec oops batctl if
# ip netctl exec oops batctl o

# ... DO STUFF

# Now lets remove the network interface from batman mesh
batctl if del eth0

# At this point the kernel begin to oops
